using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Core
{
    public interface IProtocolProxy
    {
        void Set<T>(string propertyName, T value);
        T Get<T>(string propertyName);
        T CallReturn<T>(string methodName, params object[] args);
        void CallVoid(string methodName, params object[] args);
        void AddEvent(string eventName, Delegate delgate);
        void RemoveEvent(string eventName, Delegate delgate);
    }
}
